javax.swing.plaf.basic

## Class BasicInternalFrameUI.InternalFramePropertyChangeListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicInternalFrameUI.InternalFramePropertyChangeListener

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    BasicInternalFrameUI

      public class BasicInternalFrameUI.InternalFramePropertyChangeListener
      extends Object
      implements PropertyChangeListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicInternalFrameUI.InternalFramePropertyChangeListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent evt)` Detects changes in state from the JInternalFrame and handles actions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicInternalFrameUI.InternalFramePropertyChangeListener

          public BasicInternalFrameUI.InternalFramePropertyChangeListener()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Detects changes in state from the JInternalFrame and handles actions.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.